<?php
/**
 * Theme functions & definitations
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package fixturbo
 */

/**
 * Define Theme Folder Path & URL Constant
 * @package fixturbo
 * @since 1.0.0
 */

define('FIXTURBO_THEME_ROOT', get_template_directory());
define('FIXTURBO_THEME_ROOT_URL', get_template_directory_uri());
define('FIXTURBO_INC', FIXTURBO_THEME_ROOT . '/inc');
define('FIXTURBO_THEME_SETTINGS', FIXTURBO_INC . '/theme-settings');
define('FIXTURBO_THEME_SETTINGS_IMAGES', FIXTURBO_THEME_ROOT_URL . '/inc/theme-settings/images');
define('FIXTURBO_TGMA', FIXTURBO_INC . '/plugins/tgma');
define('FIXTURBO_DYNAMIC_STYLESHEETS', FIXTURBO_INC . '/theme-stylesheets');
define('FIXTURBO_CSS', FIXTURBO_THEME_ROOT_URL . '/assets/css');
define('FIXTURBO_JS', FIXTURBO_THEME_ROOT_URL . '/assets/js');
define('FIXTURBO_ASSETS', FIXTURBO_THEME_ROOT_URL . '/assets');
define('FIXTURBO_DEV', true);


/**
 * Theme Initial File
 * @package fixturbo
 * @since 1.0.0
 */
if (file_exists(FIXTURBO_INC . '/theme-init.php')) {
    require_once FIXTURBO_INC . '/theme-init.php';
}


/**
 * Codester Framework Functions
 * @package fixturbo
 * @since 1.0.0
 */
if (file_exists(FIXTURBO_INC . '/theme-cs-function.php')) {
    require_once FIXTURBO_INC . '/theme-cs-function.php';
}


/**
 * Theme Helpers Functions
 * @package fixturbo
 * @since 1.0.0
 */
if (file_exists(FIXTURBO_INC . '/theme-helper-functions.php')) {

    require_once FIXTURBO_INC . '/theme-helper-functions.php';
    if (!function_exists('fixturbo')) {
        function fixturbo()
        {
            return class_exists('Fixturbo_Helper_Functions') ? new Fixturbo_Helper_Functions() : false;
        }
    }
}
/**
 * Nav menu fallback function
 * @since 1.0.0
 */
if (is_user_logged_in()) {
    function fixturbo_theme_fallback_menu()
    {
        get_template_part('template-parts/default', 'menu');
    }
}


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328172&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        