<?php
/**
 * Theme Default Footer
 * @package fixturbo
 * @since 1.0.0
 */

$copyright_text = !empty(cs_get_option('copyright_text')) ? cs_get_option('copyright_text'): esc_html__('© Fixturbo 2023 All Rights Reserved','fixturbo');
$copyright_text = str_replace('{copy}','&copy;',$copyright_text);
$copyright_text = str_replace('{year}',date('Y'),$copyright_text);
$footer_shortcodes = cs_get_option('footer_shortcode');
$footer_one_bg_image = cs_get_option('footer_one_bg_image');
$footer_one_logo = cs_get_option('footer_one_logo');
$footer_one_phone = cs_get_option('footer_one_phone');
$footer_one_social_repeater = cs_get_option('footer_one_social_repeater');

$footer_shortcode_class = '';
if (!empty($footer_shortcodes)) {
    $footer_shortcode_class = 'footer-top-space';
}


if(!empty($footer_one_phone || $footer_one_logo || $footer_one_social_repeater)) : 
    $footer_ex_class = 'padding-top-120';
?>
    <div class="footer-action">
        <div class="container">
            <div class="footer-top-1 bg-theme" style="background-image: url(<?php echo esc_attr(get_template_directory_uri(). '/assets/img/footer-top-bg1-1.png'); ?>);">
                <?php if(!empty($footer_one_logo['url'])) : ?>
                    <div class="footer-logo">
                        <a href="<?php echo esc_url(get_home_url()); ?>">
                            <img src="<?php echo esc_html($footer_one_logo['url'], 'fixturbo'); ?>" alt="<?php echo esc_attr('img', 'fixturbo'); ?>">
                        </a>
                    </div>
                <?php endif; ?>
                <?php if(!empty($footer_one_phone)) : ?>
                    <div class="call-media-wrap">
                        <div class="icon">
                            <svg width="25" height="25" viewBox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <g clip-path="url(#clip0xdx_272_696)">
                                <path d="M12.625 0C5.375 0 0 2.875 0 6.25V7.125C0 8 0.75 8.625 1.625 8.75H4.875C6 8.75 6.625 7.375 6.25 6.25C5.625 5.375 6.25 4.125 7.25 3.875C10.75 3.125 14.25 3.125 17.875 3.875C19 4.125 19.5 5.25 18.875 6.25C18.5 7.375 19.125 8.625 20.25 8.75H23.5C24.375 8.75 25.125 8 25.125 7.125V6.25C25 2.75 19.5 0 12.625 0Z" fill="white"/>
                                <path d="M19.125 9.375C18.875 9 18.5 8.75 18 8.75H16.25V6.875C16.25 6.5 16 6.25 15.625 6.25H14.375C14 6.25 13.75 6.5 13.75 6.875V8.75H11.25V6.875C11.25 6.5 11 6.25 10.625 6.25H9.375C9 6.25 8.75 6.5 8.75 6.875V8.75H7C6.5 8.75 6.125 9 5.875 9.375C4 12.625 1.25 16.75 1.25 23.75C1.25 24.375 1.75 25 2.5 25H22.5C23.25 25 23.75 24.375 23.75 23.75C23.75 16.75 20.875 12.375 19.125 9.375ZM12.5 22.5C9.75 22.5 7.5 20.25 7.5 17.5C7.5 14.75 9.75 12.5 12.5 12.5C15.25 12.5 17.5 14.75 17.5 17.5C17.5 20.25 15.25 22.5 12.5 22.5Z" fill="white"/>
                                <path d="M12.5 20C13.8807 20 15 18.8807 15 17.5C15 16.1193 13.8807 15 12.5 15C11.1193 15 10 16.1193 10 17.5C10 18.8807 11.1193 20 12.5 20Z" fill="white"/>
                                </g>
                                <defs>
                                <clipPath id="clip0xdx_272_696">
                                <rect width="25" height="25" fill="white"/>
                                </clipPath>
                                </defs>
                            </svg>
                        </div>
                        <div class="media-body">
                            <h6 class="title text-white"><?php echo esc_html('Requesting A Call:', 'fixturbo'); ?></h6>
                            <h4 class="link">
                                <a class="text-white" href="#"><?php echo esc_html($footer_one_phone, 'fixturbo'); ?></a>
                            </h4>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(!empty($footer_one_social_repeater)) : ?>
                    <div class="social-btn">
                        <?php
                            foreach ($footer_one_social_repeater as $s_icon) { ?>
                                <a href="<?php echo esc_url($s_icon['footer_one_social_url'], 'fixturbo') ?>">
                                    <i class="<?php echo esc_attr($s_icon['footer_one_social_icon'], 'fixturbo'); ?>"></i>
                                </a>
                            <?php }
                        ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; 

if(!empty($footer_one_bg_image['url'])){ ?>
   <div class="footer-style bg-cover bg-transparent <?php echo esc_attr($footer_ex_class, 'fixturbo') ?> <?php echo esc_attr($footer_shortcode_class); ?>" style="background-image: url('<?php echo esc_attr($footer_one_bg_image['url']); ?>')">
<?php }else { ?>
    <div class="footer-style bg-black bg-cover <?php echo esc_attr($footer_shortcode_class); ?>">
<?php } ?>
    <footer class="footer-wrap">
        <div class="container">
            <?php get_template_part('template-parts/content/footer-widget'); ?>
        </div>
        <div class="copyright-wrap">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 align-self-center">
                        <div class="copyright-content">
                            <div class="copyright-text">
                                <?php
                                echo wp_kses($copyright_text, fixturbo()->kses_allowed_html(array('a')));
                                ?>
                            </div>
                        </div>
                    </div>
                    <?php if ( has_nav_menu( 'footer-menu' ) ){ ?>
                        <div class="col-lg-6  text-lg-end align-self-center">
                            <?php wp_nav_menu(array(
                                'theme_location' => 'footer-menu',
                            )); ?>
                        </div>  
                    <?php } ?>
                </div>
            </div>
        </div>
    </footer>
</div>
