<?php
/**
 * Theme Default Header
 * @package fixturbo
 * @since 1.0.0
 */
?>

<?php
    $header_two_phone = cs_get_option('header_two_phone');
    $header_two_mail = cs_get_option('header_two_mail');
    $header_two_location = cs_get_option('header_two_location');
    $header_two_day = cs_get_option('header_two_day');
    $header_two_social_repeater = cs_get_option('header_two_social_repeater');
    $header_two_mail_title = cs_get_option('header_two_mail_title');
    $header_two_location_title = cs_get_option('header_two_location_title');
?>

<div class="nav-header header-layout2 mt-0">
    <div class="header-top  d-lg-block d-none">
        <div class="container">
            <div class="row justify-content-center justify-content-lg-between align-items-center gy-2">
                <div class="col-auto d-none d-lg-block">
                    <div class="header-logo">
                        <?php
                            $header_two_mobilelogo = cs_get_option('header_two_mobilelogo');
                            if (has_custom_logo() && empty($header_one_logo['id'])) {
                                the_custom_logo();
                            } elseif (!empty($header_two_mobilelogo['id'])) {
                                printf('<a class="site-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_two_mobilelogo['url'], $header_two_mobilelogo['alt']);
                            } else {
                                printf('<h4><a class="site-title text-white" href="%1$s">%2$s</a></h4>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                            }
                        ?>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="header-grid-info">
                        <ul>
                            <?php if($header_two_mail) : ?>
                                <li>
                                    <div class="icon">
                                        <i class="fas fa-clock"></i>
                                    </div>
                                    <div class="header-grid-info-details">
                                        <p><?php echo esc_html($header_two_mail, 'fixturbo'); ?></p>
                                        <?php if($header_two_mail_title) : ?>
                                            <h6><?php echo esc_html($header_two_mail_title, 'fixturbo'); ?></h6>
                                        <?php  endif; ?>
                                    </div>
                                </li>
                            <?php  endif; ?>
                            <?php if($header_two_location) : ?>
                                <li>
                                    <div class="icon">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="header-grid-info-details">
                                        <p><?php echo esc_html($header_two_location, 'fixturbo'); ?></p>
                                        <?php if($header_two_location_title) : ?>
                                            <h6><?php echo esc_html($header_two_location_title, 'fixturbo'); ?></h6>
                                        <?php  endif; ?>
                                    </div>
                                </li>
                            <?php  endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sticky-wrapper">
        <!-- Main Menu Area -->
        <div class="menu-area">
            <div class="container">
                <div class="row align-items-center justify-content-between">
                    <div class="col-auto w-lg-auto mobile-w-100 p-0">
                        <nav class="navbar navbar-area navbar-expand-lg navigation-style-01 navbar-style-01 navbar-default mt-0">
                            <div class="container custom-container">
                                <div class="mobile-menu-logo">
                                    <div class="responsive-mobile-menu d-lg-none d-lg-inline-block">
                                        <div class="logo-wrapper">
                                            <?php
                                                $header_two_mobilelogo = cs_get_option('header_two_mobilelogo');
                                                if (has_custom_logo() && empty($header_one_logo['id'])) {
                                                    the_custom_logo();
                                                } elseif (!empty($header_two_mobilelogo['id'])) {
                                                    printf('<a class="site-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_two_mobilelogo['url'], $header_two_mobilelogo['alt']);
                                                } else {
                                                    printf('<h4><a class="site-title text-white" href="%1$s">%2$s</a></h4>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                                                }
                                            ?>
                                        </div>
                                        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#fixturbo_main_menu" aria-controls="fixturbo_main_menu" aria-expanded="false" aria-label="Toggle navigation">
                                            <span class="navbar-toggler-icon"></span>
                                        </button>
                                    </div>
                                    <?php
                                        wp_nav_menu(array(
                                            'theme_location' => 'main-menu',
                                            'menu_class' => 'navbar-nav',
                                            'container' => 'div',
                                            'container_class' => 'collapse navbar-collapse',
                                            'container_id' => 'fixturbo_main_menu',
                                            'fallback_cb' => 'fixturbo_theme_fallback_menu',
                                        ));
                                    ?>
                                </div>
                            </div>
                        </nav>
                    </div>
                    <div class="col-auto d-xl-block d-none">
                        <div class="social-links">
                            <?php
                                foreach ($header_two_social_repeater as $s_icon) { ?>
                                    <a href="<?php echo esc_url($s_icon['header_two_info_item_url'], 'fixturbo') ?>">
                                        <i class="<?php echo esc_attr($s_icon['header_two_social_icon'], 'fixturbo'); ?>"></i>
                                    </a>
                                <?php }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>