<?php
/**
 * Theme Default Header
 * @package fixturbo
 * @since 1.0.0
 */
?>

<nav class="navbar navbar-area navbar-expand-lg navigation-style-01 navbar-style-01 navbar-default m-0 position-navbar">
    <div class="container custom-container">
        <div class="responsive-mobile-menu">
            <div class="logo-wrapper">
                <?php
                $header_one_logo = cs_get_option('header_one_logo');
                if (has_custom_logo() && empty($header_one_logo['id'])) {
                    the_custom_logo();
                } elseif (!empty($header_one_logo['id'])) {
                    printf('<a class="site-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_one_logo['url'], $header_one_logo['alt']);
                } else {
                    printf('<a class="site-title" href="%1$s">%2$s</a>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                }
                ?>
            </div>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#fixturbo_main_menu" aria-controls="fixturbo_main_menu" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
        </div>
        <?php
        wp_nav_menu(array(
            'theme_location' => 'main-menu',
            'menu_class' => 'navbar-nav',
            'container' => 'div',
            'container_class' => 'collapse navbar-collapse',
            'container_id' => 'fixturbo_main_menu',
            'fallback_cb' => 'fixturbo_theme_fallback_menu',
        ));
        ?>
        <?php if (fixturbo()->is_fixturbo_core_active()) : ?>
            <div class="nav-right-part nav-right-part-desktop align-self-center">
                <?php
                    $header_right_icon = cs_get_option('header_right_icon');
                    $header_right_title = cs_get_option('header_right_title');
                    $header_phone_number = cs_get_option('header_phone_number');
                ?>
                <a class="navbar-phone" href="tel:">
                    <?php if (!empty($header_right_icon['url'])) { ?>
                        <span class="icon mb-0">
                            <img src="<?php echo esc_url($header_right_icon['url']); ?>" alt="img">
                        </span>
                    <?php } ?>
                    <span><?php echo esc_html($header_right_title); ?></span>
                    <h5><?php echo esc_html($header_phone_number); ?></h5>
                </a>
            </div>
        <?php endif; ?>
    </div>
</nav>